Loading...
Searching...
No Matches
get.c File Reference

Get segment routines. More...

`#include <string.h>`
`#include "local_proto.h"`
Include dependency graph for segment/get.c:

Go to the source code of this file.

## Functions

int | Segment_get (SEGMENT *SEG, void *buf, off_t row, off_t col)
| Get value from segment file.

## Detailed Description

Get segment routines.

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  GRASS Development Team

Date
  2005-2018

Definition in file segment/get.c.

## Function Documentation

## Segment_get()

int Segment_get | ( | SEGMENT * | SEG,
|  | void * | buf,
|  | off_t | row,
|  | off_t | col )

Get value from segment file.

Provides random read access to the segmented data. It gets len bytes of data into buf from the segment file seg for the corresponding row and col in the original data matrix.

Parameters

  [in] | SEG | segment
  [in,out] | buf | value return buffer
  [in] | row |
  [in] | col |

Returns
  1 of successful
  -1 if unable to seek or read segment file

Definition at line 36 of file segment/get.c.

References seg_pagein().

Referenced by P_Read_Raster_Region_Map(), and P_Regular_Points().